package com.sf.day11;

public class MyException extends Exception{
    public static final long serialVersionUID = 123456L;
    private String message;

    private Integer id;

    public MyException() {
    }

    public MyException(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "MyException{" +
                "message='" + message + '\'' +
                ", id=" + id +
                '}';
    }
}
